qnapi-0.2.3-5.3.i586.rpm


Advertisement

Description

qnapi - A NapiProjekt client

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename qnapi-0.2.3-5.3.i586.rpm
Package name qnapi
Package version 0.2.3
Package release 5.3
Package architecture i586
Package type rpm
Category Productivity/Multimedia/Other
Homepage http://qnapi.github.io/
License GPL-2.0-or-later AND BSD-2-Clause AND BSD-3-Clause
Maintainer -
Download size 546.24 KB
Installed size 1.24 MB
QNapi is unofficial clone of NapiProjekt program (http://napiprojekt.pl)
written using Qt5. It's focused to be functional on GNU/Linux and other
Unix-like systems, for which NapiProjekt is not available.

Alternatives

Package Version Architecture Repository
qnapi-0.2.3-24.14.x86_64.rpm 0.2.3 x86_64 KDE Extra
qnapi-0.2.3-24.14.i586.rpm 0.2.3 i586 KDE Extra
qnapi-0.2.3-5.3.x86_64.rpm 0.2.3 x86_64 openSUSE Oss
qnapi - - -

Requires

Name Value
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libQt5Network.so.5 -
libQt5Network.so.5(Qt_5) -
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libmaia.so.1 -
libmediainfo.so.0 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
p7zip-full -

Provides

Name Value
application() -
application(qnapi.desktop) -
qnapi = 0.2.3-5.3
qnapi(x86-32) = 0.2.3-5.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package qnapi-0.2.3-5.3.i586.rpm
Source Package qnapi-0.2.3-5.3.src.rpm

Install Howto

Install qnapi rpm package:

# zypper install qnapi

Files

Path
/usr/bin/qnapi
/usr/share/applications/qnapi.desktop
/usr/share/doc/packages/qnapi/COPYRIGHT
/usr/share/doc/packages/qnapi/ChangeLog
/usr/share/doc/packages/qnapi/qnapi-download.desktop
/usr/share/doc/packages/qnapi/qnapi-download.schemas
/usr/share/doc/packages/qnapi/qnapi-scan.desktop
/usr/share/doc/packages/qnapi/qnapi-scan.schemas
/usr/share/icons/hicolor/
/usr/share/icons/hicolor/128x128/
/usr/share/icons/hicolor/128x128/apps/qnapi.png
/usr/share/icons/hicolor/16x16/
/usr/share/icons/hicolor/16x16/apps/qnapi.png
/usr/share/icons/hicolor/32x32/
/usr/share/icons/hicolor/32x32/apps/qnapi.png
/usr/share/icons/hicolor/48x48/
/usr/share/icons/hicolor/48x48/apps/qnapi.png
/usr/share/icons/hicolor/512x512/
/usr/share/icons/hicolor/512x512/apps/qnapi.png
/usr/share/kde4/
/usr/share/kde4/services/
/usr/share/kde4/services/ServiceMenus/qnapi-download.desktop
/usr/share/kde4/services/ServiceMenus/qnapi-scan.desktop
/usr/share/kservices5/
/usr/share/kservices5/ServiceMenus/qnapi-download.desktop
/usr/share/kservices5/ServiceMenus/qnapi-scan.desktop
/usr/share/licenses/qnapi/LICENSE
/usr/share/licenses/qnapi/LICENSE-pl
/usr/share/man/it/man1/qnapi.1.gz
/usr/share/man/man1/qnapi.1.gz
/usr/share/man/pl/man1/qnapi.1.gz

Changelog

2018-06-29 - kstreitova@suse.com
- require p7zip-full for TW as 7z and 7za binaries needed by qnapi
were moved to this package (see bsc#899627 for more details about
this change)
2018-06-11 - aloisio@gmx.com
- Added qnapi-Qt511.patch to fix build with Qt 5.11
2018-01-09 - aloisio@gmx.com
- Added missing build dependency
2017-07-29 - aloisio@gmx.com
- Added qnapi-libmaia.patch and use the system libmaia instead
of the embedded one
2017-06-02 - aloisio@gmx.com
- Update to version 0.2.3 (machine-translated from Polish):
* Possibility to select the user interface language
(english / polish / italian) - (thx Fincer, luigino)
* Rebuilt application configuration subsystem
* Split application between library (libqnapi) and user
interface (gui)
* Target formatting / caption extension by line argument - # 65
* Fixed issue with loss of color information for captions during
conversion - # 100
- Qnapi now includes libmaia and qt-maybe
2017-03-30 - aloisio@gmx.com
- Update to version 0.2.2 (machine-translated from Polish):
* Refreshed application icon
* Subtitle display of language taken in the summary window
- # 53 (thx andrewpros)
* Patch installer for Windows - # 55
* Improvements in the selection Subtitle - # 57 (thx
andrewpros)
* Fix error when changing the diacritical characters to
ASCII - # 64
* Prevention segfaultowi - # 83 (thx kempniu)
* Fixes typos in several places - # 84 (thx kempniu)
* Configuration Engine Napisy24 - # 88
* Removed unsupported Napiprojekt engine functions (upload
Subtitle, reporting of amendments)
version 0.2.1
* Problem with the names of paths containing special
characters also improved when open another instance of
the application (Windows) - # 28
* Amendments to the detection of UTF-8 for languages
other than Polish - # 37
* The file extension is not changed when processing Subtitle
is inactive - # 38
* Showing the version information for Qt
* Subtitle downloading in the spare language in silent mode
- # 42
* Wash libmediainfo instead ffprobe to retrieve information
about the movie file
* Subtitle option to search all at once, also in the spare -
[#] 45
* Valid only interrupt the search, if found subtitles - # 46
* Fixes bugs in the engine Napisy24 - # 47
- Added libmediainfo as build requirement
- Added fix for gcc6
2015-12-19 - fisiu@opensuse.org
- Update to 0.2.0:
* bugfix in napisy24 engine
* icons placed at directories according to their sizes
* bugfixes in file encoding detection
* preserving original file encoding during subtitle format conversion
* bugfixed backup language support
- Drop 0001-fix-license-headers-in-source-files.patch: fixed upstream
- Drop fix-icons-paths.patch: fixed upstream
- Drop qnapi-napisy24.pl-skip-.url.patch: fixed upstream
2015-10-31 - fisiu@opensuse.org
- Add qnapi-napisy24.pl-skip-.url.patch: fix napisy24.pl plugin.
2015-09-05 - fisiu@opensuse.org
- Update to 1.9.0:
* conversion between subtitle formas: SRT, mDVD, TMP, MPL2 (requires ffprobe)
* select target extension of subtitles
* directory scanning now can see other subtitle extensions than .txt (also .srt and .sub)
* respect INSTALL_PREFIX on icons and desktop files installation
- Add 0001-fix-license-headers-in-source-files.patch: fix license headers.
- Add fix-icons-paths.patch: fix icons directories.
2015-08-14 - fisiu@opensuse.org
- Update to 1.8.0:
* support for backup language for subtitle download
* fixed issue with window placing in multi-screen environment
- Update to 1.7.0:
* new subtitle engine for Napisy24 (by fenuks)
* migration to Qt5
* diacritic characters replacement with ASCII counterparts
in subtitle post-processing
* GUI/CLI interface improvements
* lot of minor bugfixes

See Also

Package Description
qoauth-qt5-devel-2.0.0-3.2.i586.rpm Development files for QOAuth
qoauth-qt5-devel-2.0.0-3.2.x86_64.rpm Development files for QOAuth
qore-0.8.13-2.4.i586.rpm Multithreaded Programming Language
qore-0.8.13-2.4.x86_64.rpm Multithreaded Programming Language
qore-devel-0.8.13-2.4.i586.rpm The header files needed to compile programs using the qore library
qore-devel-0.8.13-2.4.x86_64.rpm The header files needed to compile programs using the qore library
qore-devel-doc-0.8.13-2.4.i586.rpm C++ API documentation for the qore library
qore-devel-doc-0.8.13-2.4.x86_64.rpm C++ API documentation for the qore library
qore-doc-0.8.13-2.4.i586.rpm API documentation, programming language reference, and Qore example programs
qore-doc-0.8.13-2.4.x86_64.rpm API documentation, programming language reference, and Qore example programs
qore-json-module-1.4-5.12.i586.rpm JSON module for Qore
qore-json-module-1.4-5.12.x86_64.rpm JSON module for Qore
qore-json-module-doc-1.4-5.12.i586.rpm JSON module for Qore
qore-json-module-doc-1.4-5.12.x86_64.rpm JSON module for Qore
qore-misc-tools-0.8.13-2.4.i586.rpm Miscellaneous user tools writen in Qore Programming Language
Advertisement
Advertisement